Bug 89897 - Multi-Window editing: cursor locations between windows not isolated while editing tables spanning multiple pages, cursor incorrectly repositions to same location in both windows
Summary: Multi-Window editing: cursor locations between windows not isolated while edi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Writer-View-Jumps
  Show dependency treegraph
 
Reported: 2015-03-08 22:57 UTC by Dennis Van Dusen
Modified: 2018-10-09 02:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
open same doc in second window, scroll and then paste a row (224.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-03-09 09:19 UTC, Dennis Van Dusen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Van Dusen 2015-03-08 22:57:16 UTC
In Writer, if multiple windows are open on a document with a table, when a change is made on a row in one window, the other window will scroll to that same row, which defeats the user's need to see two places in the document on a consistent basis for cross-checking and editing the (large) table.

Test - open a document containing a long table (>10 pages)
Open a second window for that same doc,
Scroll one window down to page 7 or later
make a change in the window (first) near the beginning of the document.
Result (improper): Second window scrolls to 1st page where edit was made in first window

Result expected:  Second window does not scroll to edit but rather displays same page (and row) as it did before edit was made (even if multiple rows were added or deleted on other page of same document)

(document used was a legal document that cannot be submitted)
Comment 1 V Stuart Foote 2015-03-09 03:23:10 UTC
Working correctly on Windows 7 sp1, 64-bit en-US with
Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: en_US

How are you accessing the different Windows of the document? Do not attempt to open multiple copies of a Document.

Rather, with the document opened in a Writer session, from the main toolbar use Window -> New Window to launch a second window into the document.

Each Window will then have an active text cursor positioned in paragraphs, including table cells, allowing editing in parallel as desired without causing the text cursor to reposition between the sessions.

Split panes (bug 42428) are not yet implemented.
Comment 2 Dennis Van Dusen 2015-03-09 07:29:37 UTC
I am following this pattern exactly, and the bug occurs whenever I paste -

"Rather, with the document opened in a Writer session, from the main toolbar use
Window -> New Window to launch a second window into the document.

Each Window will then have an active text cursor positioned in paragraphs,
including table cells, allowing editing in parallel as desired without causing
the text cursor to reposition between the sessions."

In other words, the part of above that fails is where you say it should:
"without causing the text cursor to reposition between the sessions"

In fact, it does adjust the cursor in the second window to be where it is in the window to which the paste occurs. Thus, if you are correct that the proper operation is as you say:
"without causing the text cursor to reposition between the sessions"

Then there is indeed a bug.

I do note that Split panes are not implemented - that is NOT at issue here.

D

Marking as unconfirmed because I cannot share the file where it happens, but it does happen every time for me. It may be limited to pasting or even pasting of rows.  There are other issues with pasting into tables, which I will put a bug in on as well.
Comment 3 Alex Thurgood 2015-03-09 08:35:58 UTC
If you can not provide the document in question for confidentiality reasons, please try and provide a minimalist sample document that exhibits the problem containing random data or anonymized data.

Setting to NEEDINFO.
Comment 4 Dennis Van Dusen 2015-03-09 09:19:22 UTC
Created attachment 113987 [details]
open same doc in second window, scroll and then paste a row
Comment 5 Alex Thurgood 2015-03-09 09:36:19 UTC
Thanks, but your attachment is a docx document - do you experience the same problem with an ODT document ? Just trying to narrow down the problem a little.
Comment 6 Dennis Van Dusen 2015-03-09 10:30:53 UTC
Alex:

You are conscientious!

Answer - yes.  I must tell you that I have to switch with MS Word 2011 a lot, hence the .docx.  It is because the problems in WORD are worse. It helps to stay in .docx due to all the crashes in docs that I encounter. I was unaware tho that Writer would work differently, as I thought both formats were internalized within Writer. To me it was logical to have only one code base, but I have been wrong before.

As my proportion of use is much greater in .docx format, I will retest in libre odt format, but can't just yet - libre is hanging now and I cannot get the conversion to work as yet - CPU is at 99%.



Please see Bug 89896 re hangs.  There may be a relationship.  The stuff I do normally kills machines. Necessary but crazy.
  (yes, disk utility is run often, and since I am also a developer as well as an attorney I do take a lot of precautions. Just kills the machine tho.

D
Comment 7 Dennis Van Dusen 2015-03-09 11:09:06 UTC
I tested the behavior in both .docx and odt.

The pattern is clearer:

open doc
open second window (window/new window cmd)
scroll both down to different pages
in second window, select and copy a row
paste the row into the first window.

(good so far) 
NOW, 
paste the row into a different page in the second window --- and first window will scroll to that page.


I did it consistently 4 times in both formats.


D
Comment 8 V Stuart Foote 2015-03-09 13:01:23 UTC
Confirming on Windows 7 sp1, 64-bit en-US with
Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: en_US

STR
1. new empty writer document, 
2. insert 80 row x 3 column table
3. save
4. open 2nd Window onto document
5. move that cursor to page 3
5. in 1st window type text into cells on page 1
=-correct-=
6. copy (Ctrl+C) a single cell
7. reposition into 2nd window (still on page 3)
8. paste cell (Ctrl+V) -- cell content copies no jump 1st window
=-incorrect-=
9. in 1st window copy multiple cells (Ctrl+c)
10. position into 2nd window (still on page 3)
11. paste cells (Ctrl+v) -- cell contents copy, but 1st window cursor jumps to that position!

Any copy/paste actions involving more than one table cell are repositioning the cursor between the two Window views.
Comment 9 tommy27 2016-04-16 07:27:43 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2017-05-22 13:24:59 UTC Comment hidden (obsolete)
Comment 11 Thomas Lendo 2017-10-08 20:06:04 UTC
Still repro.

Version: 6.0.0.0.alpha0+
Build ID: 74b47af9885ba4c59195fedc1e0510b8b056a025
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
moggi's updater build 2017-10-08
Comment 12 QA Administrators 2018-10-09 02:52:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug